﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using WebSocketSharp;
using WebSocketSharp.Server;

namespace WebSocket_WPFServer_CSHTML5Client
{

    // important: WebSocket Server will make a Collection from this class: one item per client !!
   public class WebSocketService_ServerTime : WebSocketBehavior
    {
        // you should put any extra custom properties, methodes, events HERE -to customise WebSocketService_ServerTime class behaviour

        protected override void OnOpen()
        {
            string ConnectedClientCustomSession = this.ID; // you will get this important (!) unique SessionID by this line: you need it to send something from Server to ONLY certain client
            base.OnOpen();
        }

        protected override void OnMessage(MessageEventArgs e)
        {
            if (e.IsText == true)
            {
                // here is the text message content from client
                MessageBox.Show("text Message from a client:" // note: just for demo: you can handle client messages according your needs...
                    +"\nclient unique session ID : " + this.ID
                    + "\nclient text message : " + e.Data
                    );
            }
            base.OnMessage(e);
        }

        protected override void OnClose(CloseEventArgs e)
        {
            base.OnClose(e);
        }

        protected override void OnError(ErrorEventArgs e)
        {
            base.OnError(e);
        }



        }
}
